%bcond_without check

Summary:        Translation layer between cargo and RPM
Name:           cargo2rpm
Version:        0.1.3
Release:        3%{?dist}
License:        MIT
URL:            https://pagure.io/fedora-rust/cargo2rpm
Source0:         %{url}/archive/%{version}/cargo2rpm-%{version}.tar.gz

BuildRequires:  python3-devel

BuildArch:      noarch

Requires:       cargo

%description
cargo2rpm implements a translation layer between cargo and RPM. It
provides a CLI interface (for implementing RPM macros and generators)
and a Python API (Upon which rust2rpm is built).

%prep
%autosetup

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-t}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files cargo2rpm

%check
%if %{with check}
%tox
%endif

%files -f %{pyproject_files}
%doc README.md
%doc CHANGELOG.md
%{_bindir}/cargo2rpm

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.3-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 22 2023 Yi Lin <nilusyi@tencent.com> - 0.1.3-1
- package init.
